Status: New % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Symbology
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2423 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

I have a vector of points with an SLD file for styling.
After loading the shapefile in gvSIG I tried to load the legend and selected the SLD file, but gvSIG shows me this message "Unable to
read legend - Can't load legend from file *.sld".
Do you have any idea on why it doesn't work?
I attach to this issue the SLD file.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 3913: SLD support problems New 12/04/2015

History
#1 - 02/25/2016 11:00 AM - Álvaro Anguix
- Target version deleted (2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153))

Hi Silvia, we must to improve the SLD development in gvSIG. We want to do this year, but in a stabilisation process we mustn't add new
functionalities.

#2 - 02/25/2016 11:08 AM - Silvia Franceschi

It is in fact something already existing in gvSIG, I mean, the button for loading the style from a file already exists, but it doesn't work properly.
I think this is not a new functionality but a bug, you can decide to not to solve it in 2.3 but please do not throw it away.

#3 - 02/25/2016 12:00 PM - Álvaro Anguix

It's related with SLD versions supported, that means we must support a new version or a new driver for SLD. As I said, it's one of the things to do this
year.

#4 - 07/25/2016 07:26 PM - Álvaro Anguix
- Category set to Symbology

#5 - 06/08/2017 01:30 PM - Álvaro Anguix
- Related to gvSIG bugs #3913: SLD support problems added
Files
tree_measures_777_gt175_density15.sld 11 KB 02/25/2016 Silvia Franceschi
